Results 1 to 4 of 4

Thread: tulip graph software crashes on initialization

  1. #1

    Default tulip graph software crashes on initialization

    Dear all,

    I'm just testing several different graph visualization softwares for my graph course in the next trimester. One of the software I would like to test is tulip, which is currently in the opensuse-oss repository.

    Tulip is currently installed:

    i | libtulip | A library for handling large graphs | package
    i | libtulip-ogl | A library for displaying graph in a GL context | package
    i | libtulip-qt4 | A set of Qt Widgets for tulip/tulip-ogl | package
    i | tulip | Visualization of huge graphs | package

    But when I start tulip (from the command line), The slash screen appears correctly (and all modules seem to be loaded correctly). But just a few miliseconds after the main window begins to appear I get a "segment violation" error (and the main window closes).

    My system is OpenSuse 11.1, and the version of Tulip I installed is

    libtulip-ogl-3.0.0-20.68
    tulip-3.0.0-20.68
    libtulip-3.0.0-20.68
    libtulip-qt4-3.0.0-20.68

    All the latter packages are from the opensuse-oss repository.

    I've tried to install the RPM packages from the Tulip webpage (Tulip Software home page) but I have not managed to succeed (zypper asks me for the qt 4.2 version).

    The "segment violation" appears with the 3d acceleration enabled and disabled (it seems that Tulip makes use of 3d graphics). Currently installed versions of the nvidia packages (from the nvidia repository) are:

    nvidia-gfxG01-kmp-default-173.14.18_2.6.27.23_0.1-0.3
    x11-video-nvidiaG01-173.14.18-0.3

    Does anyone know how to make the software work ?

    Thanks,

    Luis

  2. #2

    Default Re: tulip graph software crashes on initialization

    Dear all,

    I've found a link in Ubuntu forums that talks about the same problem.

    https://bugs.launchpad.net/ubuntu/+s...ip/+bug/230368

    I'll continue to investigate...

    Best,

    Luis

  3. #3

    Default Re: tulip graph software crashes on initialization

    getting same error on another suse 11.1 32bits system with tulip.
    vcgview graph tool for gtk+ works good on suse linux.

    output from tulip is:
    twlevo@linux-ls7d:~/gccdv> tulip
    X Error: BadAlloc (insufficient resources for operation) 11
    Extension: 157 (Uknown extension)
    Minor opcode: 3 (Unknown request)
    Resource id: 0x18000f8
    X Error: GLXBadContext 177
    Extension: 157 (Uknown extension)
    Minor opcode: 6 (Unknown request)
    Resource id: 0x18000fb
    X Error: GLXBadContext 177
    Extension: 157 (Uknown extension)
    Minor opcode: 5 (Unknown request)
    Resource id: 0x18000fb
    QGLContext::makeCurrent(): Failed.
    X Error: GLXBadContext 177
    Extension: 157 (Uknown extension)
    Minor opcode: 4 (Unknown request)
    Resource id: 0x18000fb
    X Error: BadAlloc (insufficient resources for operation) 11
    Extension: 157 (Uknown extension)
    Minor opcode: 3 (Unknown request)
    Resource id: 0x5e
    X Error: GLXBadContext 177
    Extension: 157 (Uknown extension)
    Minor opcode: 6 (Unknown request)
    Resource id: 0x1800101
    X Error: GLXBadContext 177
    Extension: 157 (Uknown extension)
    Minor opcode: 5 (Unknown request)
    Resource id: 0x1800101
    QGLContext::makeCurrent(): Failed.
    X Error: GLXBadContext 177
    Extension: 157 (Uknown extension)
    Minor opcode: 5 (Unknown request)
    Resource id: 0x1800101
    QGLContext::makeCurrent(): Failed.
    X Error: GLXBadContext 177
    Extension: 157 (Uknown extension)
    Minor opcode: 5 (Unknown request)
    Resource id: 0x1800101
    QGLContext::makeCurrent(): Failed.
    X Error: GLXBadContext 177
    Extension: 157 (Uknown extension)
    Minor opcode: 5 (Unknown request)
    Resource id: 0x1800101
    QGLContext::makeCurrent(): Failed.
    Segmentation fault

  4. #4

    Default Re: tulip graph software crashes on initialization

    tulip on the newest suse 11.2 test version runs fine.

Tags for this Thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •